Name:           perl-ORLite
Version:        1.42
Release:        2%{?dist}
Summary:        Extremely light weight SQLite-specific ORM
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ORLite/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(DBD::SQLite) >= 1.27
BuildRequires:  perl(DBI) >= 1.607
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Remove) >= 1.40
BuildRequires:  perl(Params::Util) >= 0.33
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Script) >= 1.06
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
SQLite is a light weight single file SQL database that provides
an excellent platform for embedded storage of structured data.
However, while it is superficially similar to a regular server-side
SQL database, SQLite has some significant attributes that make using
it like a traditional database difficult. For example, SQLite is
extremely fast to connect to compared to server databases 
(1000 connections per second is not unknown) and is particularly bad
at concurrency, as it can only lock transactions at a database-wide level.
This role as a superfast internal data store can clash with the roles and
designs of traditional object-relational modules like Class::DBI or 
DBIx::Class. What this situation would seem to need is an object-relation
system that is designed specifically for SQLite and is aligned with its
idiosyncracies. ORLite is an object-relation system specifically
for SQLite that follows many of the same principles as the ::Tiny
series of modules and has a design that aligns directly to the capabilities
of SQLite.

%prep
%setup -q -n ORLite-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.42-2
- Mass rebuild with perl-5.12.0

* Wed Mar 31 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.42-1
- update

* Mon Feb  8 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.40-1
- update to 1.40

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.22-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun  3 2009 Marcela Mašláňová <mmaslano@redhat.com> 1.22-1
- update to 0.22

* Thu Feb 12 2009 Marcela Mašláňová <mmaslano@redhat.com> 1.20-1
- update to 0.20

* Mon Jan 12 2009 Marcela Mašláňová <mmaslano@redhat.com> 1.17-1
- update to 1.17

* Wed Oct 29 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.15-1
- update to 0.15

* Fri Aug 29 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.13-2
- fix requires
- update to 0.13

* Fri Aug 29 2008 Marcela Mašláňová 0.11-2
- update to 0.11

* Fri Aug 29 2008 Marcela Mašláňová 0.10-1
- Specfile autogenerated by cpanspec 1.77.
